PublicApiUpdateOffering
curl --request PATCH \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/offerings/{offeringId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"targetVersion": 4503599627370495,
"name": "<string>",
"shortDescription": "<string>",
"information": "<string>",
"keyBenefits": [
"<string>"
],
"url": "<string>"
}
'const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
targetVersion: 4503599627370495,
name: '<string>',
shortDescription: '<string>',
information: '<string>',
keyBenefits: ['<string>'],
url: '<string>'
})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/offerings/{offeringId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"offering": {
"id": "<string>",
"workspaceId": "<string>",
"type": "product",
"name": "<string>",
"information": "<string>",
"keyBenefits": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"targetVersion": 4503599627370495,
"shortDescription": "<string>",
"url": "<string>"
},
"warnings": [
{
"phrase": "<string>",
"category": "spam"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Offerings
PublicApiUpdateOffering
PATCH /api/v1/organizations//workspaces//offerings/
PATCH
/
api
/
v1
/
organizations
/
{orgId}
/
workspaces
/
{wsId}
/
offerings
/
{offeringId}
PublicApiUpdateOffering
curl --request PATCH \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/offerings/{offeringId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"targetVersion": 4503599627370495,
"name": "<string>",
"shortDescription": "<string>",
"information": "<string>",
"keyBenefits": [
"<string>"
],
"url": "<string>"
}
'const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
targetVersion: 4503599627370495,
name: '<string>',
shortDescription: '<string>',
information: '<string>',
keyBenefits: ['<string>'],
url: '<string>'
})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/offerings/{offeringId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"offering": {
"id": "<string>",
"workspaceId": "<string>",
"type": "product",
"name": "<string>",
"information": "<string>",
"keyBenefits": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"targetVersion": 4503599627370495,
"shortDescription": "<string>",
"url": "<string>"
},
"warnings": [
{
"phrase": "<string>",
"category": "spam"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
FirstSales developer API key bearer token (fs-key-*).
Headers
Required string length:
1 - 200Path Parameters
Minimum string length:
1Minimum string length:
1Minimum string length:
1Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Required range:
0 <= x <= 9007199254740991Available options:
product, service Required string length:
1 - 100Maximum string length:
200Minimum string length:
1Maximum string length:
200Maximum string length:
500